Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members

# Deployment::Dump_Obj Class Reference

`#include <Dump_Obj.h>`

List of all members.

## Public Member Functions
| Dump_Obj (const char *caption)
| Constructors prints out the caption and increases indent.
| Dump_Obj (const char *caption, CORBA::Any &val)
| Additionally insets <val> into the map.
| ~Dump_Obj (void)
| Dump_Obj (const char *caption)
| Constructors prints out the caption and increases indent.
| Dump_Obj (const char *caption, CORBA::Any &val)
| Additionally insets <val> into the map.
| ~Dump_Obj (void)
## Static Public Member Functions
const char * | indent ()
CORBA::Any & | desc (const char *caption)
const char * | indent ()
CORBA::Any & | desc (const char *caption)
## Private Attributes
std::string | desc_
## Static Private Attributes
std::string | indent_ = "-"
std::map< std::string, CORBA::Any > | desc_map_
std::map< std::string, CORBA::Any > | desc_map_

## Constructor & Destructor Documentation

Deployment::Dump_Obj::Dump_Obj | ( | const char * | caption | ) |

| Constructors prints out the caption and increases indent.

Deployment::Dump_Obj::Dump_Obj | ( | const char * | caption,
|  | CORBA::Any & | val
| ) |

| Additionally insets <val> into the map.

Deployment::Dump_Obj::~Dump_Obj | ( | void |  | ) |

Deployment::Dump_Obj::Dump_Obj | ( | const char * | caption | ) |

| Constructors prints out the caption and increases indent.

Deployment::Dump_Obj::Dump_Obj | ( | const char * | caption,
|  | CORBA::Any & | val
| ) |

| Additionally insets <val> into the map.

Deployment::Dump_Obj::~Dump_Obj | ( | void |  | ) |

## Member Function Documentation

CORBA::Any& Deployment::Dump_Obj::desc | ( | const char * | caption | ) | `[inline, static]`

CORBA::Any& Deployment::Dump_Obj::desc | ( | const char * | caption | ) | `[inline, static]`

const char* Deployment::Dump_Obj::indent | ( |  | ) | `[inline, static]`

const char* Deployment::Dump_Obj::indent | ( |  | ) | `[inline, static]`

## Member Data Documentation

std::string Deployment::Dump_Obj::desc_`[private]`

std::map<std::string, CORBA::Any> Deployment::Dump_Obj::desc_map_`[static, private]`

std::map< std::string, CORBA::Any > Deployment::Dump_Obj::desc_map_`[static, private]`

std::string Deployment::Dump_Obj::indent_ = "-"`[static, private]`

The documentation for this class was generated from the following files:

- Config_Handlers/Dump_Obj.h
- Old_Config_Handlers/Dump_Obj.h
- Config_Handlers/Dump_Obj.cpp
- Old_Config_Handlers/Dump_Obj.cpp